Bug 1415189 - Give a valid message to the user when gdeploy is not installed in the system.
Summary: Give a valid message to the user when gdeploy is not installed in the system.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.10
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-20 14:02 UTC by RamaKasturi
Modified: 2017-04-21 09:31 UTC (History)
3 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: Bug Fix
Doc Text:
Gluster deployment wizard in cockpit was enabled even when gdeploy package is not installed in the system. So user may start deploying and in the end it will fail because of gdeploy command missing. With this fix, 'Hosted-Engine with Gluster' deployment option will be enabled only when gdeploy utility is available in the system. Otherwise this option will be blocked with a tool tip "Gdeploy utility is not installed. Install gdeploy to enable gluster deployment"
Clone Of:
Environment:
Last Closed: 2017-04-21 09:31:51 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
rnachimu: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 70990 master MERGED gdeploy: disable gdeploy wizard if gdeploy is missing. 2017-01-27 13:36:55 UTC
oVirt gerrit 71760 ovirt-4.1 MERGED gdeploy: disable gdeploy wizard if gdeploy is missing. 2017-02-10 06:08:14 UTC

Description RamaKasturi 2017-01-20 14:02:05 UTC
Description of problem:
If gdeploy is not installed on the system, running gluster deployment through cockpit wizard does not throw any valid error message and it just displays "deployment failed" which does not leave any clue to the user on what has happened.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL7.3
2. Install ovirt-cockpit-dashboard plugin.
3. Now launch the cockpit UI and start deployment.

Actual results:
cockpit Ui just displays and error "deployment failed" but does not give any error message on why it failed.

Expected results:
Display an proper error message on the cockpit UI on why the deployment has failed.

Additional info:

Comment 1 SATHEESARAN 2017-03-20 06:46:59 UTC
Tested with cockpit-ovirt-dashboard-0.10.7-0.0.15

'Hosted Engine with gluster' radio-button is disabled in the cases, when gdeploy is not installed


Note You need to log in before you can comment on or make changes to this bug.